Package docking

# Record Class KbEnabledState

java.lang.Object
java.lang.Record
docking.KbEnabledState

Record Components:
  `precedence` - the precedence
  `isValid` - true if valid
  `isEnabled` - true if enabled

public record KbEnabledState(KeyBindingPrecedence precedence, boolean isValid, boolean isEnabled) extends Record
A class to track an action's precedence and enablement

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `KbEnabledState(KeyBindingPrecedence precedence, boolean isValid, boolean isEnabled)`
  Creates an instance of a `KbEnabledState` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `boolean`
  `isEnabled()`
  Returns the value of the `isEnabled` record component.
  `boolean`
  `isValid()`
  Returns the value of the `isValid` record component.
  `KeyBindingPrecedence`
  `precedence()`
  Returns the value of the `precedence` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### KbEnabledState

    public KbEnabledState(KeyBindingPrecedence precedence, boolean isValid, boolean isEnabled)
    Creates an instance of a `KbEnabledState` record class.
    Parameters:
      `precedence` - the value for the `precedence` record component
      `isValid` - the value for the `isValid` record component
      `isEnabled` - the value for the `isEnabled` record component

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. Reference components are compared with `Objects::equals(Object,Object)`; primitive components are compared with '=='.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### precedence

    public KeyBindingPrecedence precedence()
    Returns the value of the `precedence` record component.
    Returns:
      the value of the `precedence` record component

  - ### isValid

    public boolean isValid()
    Returns the value of the `isValid` record component.
    Returns:
      the value of the `isValid` record component

  - ### isEnabled

    public boolean isEnabled()
    Returns the value of the `isEnabled` record component.
    Returns:
      the value of the `isEnabled` record component